## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPropertyChangeQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a certain property gets some value. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcproperties property class on which this trigger will fire.
virtual void | SetPropertyParameter (const char *prop)=0
| Set the name of the property on which this trigger will fire.
virtual void | SetValueParameter (const char *value)=0
| Set the value of the property on which this trigger will fire.

## Detailed Description

This interface is implemented by the trigger that fires when a certain property gets some value.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.propertychange'.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the entity that contains the pcproperties property class.
- entity_tag: optional tag used to find the right property class from the entity.
- property: the name of the property.
- value: the value on which this trigger will fire.

Definition at line 886 of file questmanager.h.

## Member Function Documentation

virtual void iPropertyChangeQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

Set the name of the entity containing the pcproperties property class on which this trigger will fire.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iPropertyChangeQuestTriggerFactory::SetPropertyParameter | ( | const char * | prop | ) | `[pure virtual]`

Set the name of the property on which this trigger will fire.

Parameters:

  | prop | is the name of the property or a parameter (starts with '$').

virtual void iPropertyChangeQuestTriggerFactory::SetValueParameter | ( | const char * | value | ) | `[pure virtual]`

Set the value of the property on which this trigger will fire.

Parameters:

  | value | is the varlue or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h